Difference between revisions of "Template:V12 cust text"

From TNG_Wiki
Jump to: navigation, search
(shorten toggle button text)
(No text changes; the toggle wasn't working right. The fixed text was duplicated and the "show instructions" button did not disappear when clicked)
Line 2: Line 2:
 
'''In TNGv12 and beyond, this mod uses the [[Mod_Guidelines#Coding_recommendations|new guidelines for TNG v12+ cust_text.php files]]'''
 
'''In TNGv12 and beyond, this mod uses the [[Mod_Guidelines#Coding_recommendations|new guidelines for TNG v12+ cust_text.php files]]'''
 
<br />
 
<br />
If you are using TNGv12+, and any cust_text.php file in this mod is marked with a '''Bad Target''' error, you need to update your cust_text.php files before you can install this mod. <span class='mw-collapsible mw-collapsible-content' id="mw-customcollapsible-custtexttemp2" style='white-space:nowrap;'></span><span class='mw-customtoggle-custtexttemp2 mw-customtoggle-custtexttemp1' style='text-decoration:underline;float:right;'>&#91;Show instructions&#93;</span>
+
If you are using TNGv12+, and any cust_text.php file in this mod is marked with a '''Bad Target''' error, you need to update your cust_text.php files before you can install this mod.  
<div class='mw-collapsible mw-collapsible-content mw-collapsed' id="mw-customcollapsible-custtexttemp1">
+
<!-- begin double toggle --><div class='mw-collapsible mw-collapsible-content mw-customtoggle-custtexttemp2 mw-customtoggle-custtexttemp1' id="mw-customcollapsible-custtexttemp2" style='text-decoration:underline;text-align:right;white-space:nowrap;'>&#91;Show instructions&#93;</div>
 +
<!-- hidden content div... --><div class="mw-collapsible mw-collapsible-content mw-collapsed" id="mw-customcollapsible-custtexttemp1">
 
If you upgraded to TNGv12+, and did not update your cust_text.php files as instructed in the upgrade readme script, then you must use the TNG Mod Manager to update them. To do so:
 
If you upgraded to TNGv12+, and did not update your cust_text.php files as instructed in the upgrade readme script, then you must use the TNG Mod Manager to update them. To do so:
 
<ol style='margin-top:0; margin-bottom:0;'>
 
<ol style='margin-top:0; margin-bottom:0;'>
Line 11: Line 12:
 
Installed mods do not interfere with the update, and if you already have (or think you may have) run this update, it will not hurt for you to run it again.</li>
 
Installed mods do not interfere with the update, and if you already have (or think you may have) run this update, it will not hurt for you to run it again.</li>
 
</ol>
 
</ol>
<span style='font-size:90%;'>&#91;<span style='text-decoration:underline;'>[[TNG_V12_Change_Impacts#New_cust_text.php_search_string|See details in the TNGv12 Change Impacts Article]]</span>&#93;</span><span class="mw-customtoggle-custtexttemp1 mw-customtoggle-custtexttemp2" style='text-decoration:underline;float:right;'>&#91;Hide the instructions&#93;</span>
+
<div class="mw-customtoggle-custtexttemp1 mw-customtoggle-custtexttemp2" style='text-decoration:underline;float:right;'>&#91;Hide the instructions&#93;</div>[[TNG_V12_Change_Impacts#New_cust_text.php_search_string|See details in the TNGv12 Change Impacts Article]] </div><!-- end of double-toggle>
</div>
 
</div>
 
 
 
 
<noinclude>
 
<noinclude>
 
== Usage ==
 
== Usage ==

Revision as of 16:28, 23 November 2018

In TNGv12 and beyond, this mod uses the new guidelines for TNG v12+ cust_text.php files
If you are using TNGv12+, and any cust_text.php file in this mod is marked with a Bad Target error, you need to update your cust_text.php files before you can install this mod.

[Show instructions]

If you upgraded to TNGv12+, and did not update your cust_text.php files as instructed in the upgrade readme script, then you must use the TNG Mod Manager to update them. To do so:

  1. Go to Mod Manager, and select its "Recommended Updates" tab.
    (If the "Recommended Updates" tab is not visible, then go to the Mod Manager Options tab, select "Display Settings", and turn on the "Recommended Updates" tab.)
  2. Click the "Update" button in the "Recommended Updates" tab.
    Installed mods do not interfere with the update, and if you already have (or think you may have) run this update, it will not hurt for you to run it again.
[Hide the instructions]
See details in the TNGv12 Change Impacts Article